Bug 1410214 - Unable to remove module docker at priority 200
Summary: Unable to remove module docker at priority 200
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.3
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 19:06 UTC by Qian Cai
Modified: 2020-04-15 15:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-03 15:13:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qian Cai 2017-01-04 19:06:32 UTC
Description of problem:
Trying to install docker from scratch, and then those ugly things pop up.

  Installing : 2:container-selinux-1.10.3-59.el7.x86_64                   10/12 
libsemanage.semanage_direct_remove_key: Unable to remove module docker at priority 200. (No such file or directory).
libsemanage.semanage_direct_remove_key: Unable to remove module docker at priority 400. (No such file or directory).

Looking at the spec file's post section.

%{_sbindir}/semodule -n -X 200 -s %{selinuxtype} -i $MODULES > /dev/null

Probably need to filter out the stderr as well.

Version-Release number of selected component (if applicable):
docker-1.12.5-8.el7

How reproducible:
always

Comment 1 Daniel Walsh 2017-01-04 19:08:33 UTC
Yes we should filter stderror.  More so then stdout.

Comment 3 Qian Cai 2017-02-27 22:10:54 UTC
Lokesh, any update?

Comment 4 Qian Cai 2017-02-27 22:57:14 UTC
This is working fine now with container-selinux-2.9-4.el7.


Note You need to log in before you can comment on or make changes to this bug.